On Wed, Oct 20, 2010 at 20:07, Jonas Smedegaard <d...@jones.dk> wrote:
> On Wed, Oct 20, 2010 at 10:14:15PM +0000,
> danstowell-gu...@users.alioth.debian.org wrote:
>
>>   Can build against jack2 as well as jack1
>
>> - libjack-dev (>= 0.100),
>> + libjack-jackd2-0 | libjack-dev (>= 0.100),
>
> Please beware that the commit message do not match the actual change.
>
> More accurate description of the change is this:
>
>  Build against hack2 by default, with the common API as fallback

Actually, it means: try to build against the runtime library package
and fallback to the jackd1 development headers. In other words, the
change is broken.

>
> I.e. two things:
>
>  * Official Debian builds will link against jackd2
>  * Not only jack1 but any jack implementation is assumed supported
>
> I believe the second is good and intended, but the first is not: We've
> generally decided (as I understand it) to build against jack1 and only favor
> jack2 daemon at runtime.

And I agree with this.


-- 

Saludos,
Felipe Sateler

_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to